.logo-grid {
    row-gap: 20px;
    column-gap: 10px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.logo-item {
    flex: 0 0 calc((100% - 6 * 10px) / 7);
    max-width: calc((100% - 6 * 10px) / 7);
    background: #fff;
    height: 120px;
    box-shadow: 0 14px 13px rgba(77, 81, 112, 0.1);
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    padding: 10px;
     transition: 
    transform 0.3s ease,
    box-shadow 0.3s ease;
}
.logo-item:hover {
  transform: translateY(-6px) scale(1.03);
  box-shadow: 0 22px 28px rgba(77, 81, 112, 0.18);
}

.logo-item img {
    max-width: 100%;
    object-fit: contain;
}
.logo-item p{ 
    font-size: 21px;
    font-weight: 500;
    color: rgb(0, 0, 0);
    line-height: 95%;
    letter-spacing: -0.5%;
}
@media (max-width: 1024px) {
  .logo-item {
    flex: 0 0 calc((100% - 4 * 10px) / 5);
    max-width: calc((100% - 4 * 10px) / 5);
    height: 100px;
  }
}
@media (max-width: 768px) {
  .logo-item {
    flex: 0 0 calc((100% - 2 * 10px) / 3);
    max-width: calc((100% - 2 * 10px) / 3);
  }
}